Bug 193911 - /sbin/dump not backing up /dev
/sbin/dump not backing up /dev
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dump (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 16:47 EDT by David Steiner
Modified: 2013-07-02 19:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 04:24:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Steiner 2006-06-02 16:47:07 EDT
Description of problem:

'/sbin/dump 0f somedumpfile /' does not back up files in /dev. On machines with LVM,  it backed up 
the subdirectories "mapper" and "VolGroup00" and the device files related to VolGroup00 but not any 
other files, links, or subdirectories including those related to other volume groups. Ex:


Version-Release number of selected component (if applicable):

dump-0.4b39-3.EL4.2

How reproducible:

Same results on every RHEL 4 machine tried on, with or without LVM partitions.

Steps to Reproduce:
1. /sbin/dump 0f somedumpfile /
  
Actual results:

restore -ivf dump_mapper_VolGroup00-LogVol00 
Verify tape and initialize maps
Input is from a local file/pipe
Input block size is 32
Dump   date: Fri Jun  2 02:02:02 2006
Dumped from: the epoch
Level 0 dump of / on webster:/dev/mapper/VolGroup00-LogVol00
Label: /
Extract directories from tape
Initialize symbol table.
restore > cd /dev
restore > ls
./dev:
3227649 ./                2 ../         3260417 VolGroup00/ 3244033 mapper/

restore > ls -l *
./dev/VolGroup00:
3260417 ./        3227649 ../       3260545 LogVol00@

./dev/mapper:
3244033 ./                   3244162 VolGroup00-LogVol00#
3227649 ../                  3244161 control#

Expected results:

/dev contains ~300 special files, links and subdirectories which should be in the dumpfile

Additional info:

dump on RHEL 3 (dump-0.4b37-1E) works as expected
Comment 1 Jindrich Novy 2006-06-05 06:55:52 EDT
Do you see the same while backing up unmounted filesystem?
Comment 2 David Steiner 2006-06-05 15:22:25 EDT
I am unable test this scenario. All but one of my machines uses LVM for the / partition. To the best of my 
knowledge, I can not run dump on an unmounted LVM partition. (if there is a way to do this, let me know 
and I will be happy to try it on my test box).

I do not have the luxury of taking my non-LVM root machine off-line at this time.

Sorry.
Comment 3 Jindrich Novy 2006-06-16 04:24:44 EDT
Sorry, it's very insecure to backup mounted filesystems. I think the only way
how to perform a safe backup is to umount the filesystem before the backup itself.

Note You need to log in before you can comment on or make changes to this bug.